#pragma once

#include "Sensors/TouchSensor.h"

namespace RoboidControl {
namespace Arduino {

class DigitalInput : public TouchSensor {
 public:
  DigitalInput(Participant* participant, unsigned char pin);

  virtual void Update(unsigned long currentTimeMs) override;

 protected:
  unsigned char pin = 0;
};

}  // namespace Arduino
}  // namespace RoboidControl